Skip to content
Start here

Push Message

POST/accounts/{account_id}/queues/{queue_id}/messages

Push a message to a Queue

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
Path ParametersExpand Collapse
account_id: optional string

A Resource identifier.

maxLength32
queue_id: string

A Resource identifier.

maxLength32
Body ParametersJSONExpand Collapse
body: optional object { body, content_type, delay_seconds } or object { body, content_type, delay_seconds }
One of the following:
MqQueueMessageText object { body, content_type, delay_seconds }
body: optional string
content_type: optional "text"
delay_seconds: optional number

The number of seconds to wait for attempting to deliver this message to consumers

MqQueueMessageJson object { body, content_type, delay_seconds }
body: optional unknown
content_type: optional "json"
delay_seconds: optional number

The number of seconds to wait for attempting to deliver this message to consumers

ReturnsExpand Collapse
errors: optional array of ResponseInfo { code, message, documentation_url, source }
minLength1
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: optional array of string
result: optional object { metadata }
metadata: optional object { metrics }
metrics: optional object { backlog_bytes, backlog_count, oldest_message_timestamp_ms }

Best-effort metrics for the queue. Values may be approximate due to the distributed nature of queues.

backlog_bytes: number

The size in bytes of unacknowledged messages in the queue.

backlog_count: number

The number of unacknowledged messages in the queue.

oldest_message_timestamp_ms: number

Unix timestamp in milliseconds of the oldest unacknowledged message in the queue. Returns 0 if unknown.

success: optional true

Indicates if the API call was successful or not.

Push Message

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/queues/$QUEUE_ID/messages \
    -X POST \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "metadata": {
      "metrics": {
        "backlog_bytes": 1024,
        "backlog_count": 5,
        "oldest_message_timestamp_ms": 1710950954154
      }
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "metadata": {
      "metrics": {
        "backlog_bytes": 1024,
        "backlog_count": 5,
        "oldest_message_timestamp_ms": 1710950954154
      }
    }
  },
  "success": true
}